: Class OPlist

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jel
Class OPlist

    java.lang.Object
      |
      +--gnu.jel.OP
            |
            +--gnu.jel.OPlist

public class OPlist
extends OP

Field Summary
`protected int` | `size`

Fields inherited from class gnu.jel.OP
`next, prev, resID, resType`

Constructor Summary
`OPlist()`

Method Summary
`void` | `addAfter(OP e, OP ne)`
`void` | `addBefore(OP e, OP ne)`
`void` | `addFirst(OP o)`
`void` | `addLast(OP o)`
`void` | `compile(ClassFile cf)` Called to generate the code implementing this OP.
`OP` | `getFirst()`
`OP` | `getLast()`
`void` | `performCF()`
`void` | `remove(OP o)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### size

    protected int size

Constructor Detail

### OPlist

    public OPlist()

Method Detail

### size

    public int size()

### getFirst

    public OP getFirst()

### getLast

    public OP getLast()

### addFirst

    public void addFirst(OP o)

### addLast

    public void addLast(OP o)

### addBefore

    public void addBefore(OP e,
                          OP ne)

### addAfter

    public void addAfter(OP e,
                         OP ne)

### remove

    public void remove(OP o)

### performCF

    public void performCF()

### compile

    public void compile(ClassFile cf)

  Description copied from class: `OP`
  Called to generate the code implementing this OP.
  Overrides:
    `compile` in class `OP`
  Following copied from class: `gnu.jel.OP`
  Parameters:
    `cf` - class file to write the code into.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD